/* Filter buttons */

.buttons {
    margin-top: 0px;
}

button {
    background-color: transparent;
    font-family: unset;
    font-size: 16px;
    border: none;
    cursor: pointer;
}

.filter-button.button-primary {
    cursor: default;
}

/* Projects grid */

.projects-grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 32px;
    margin-top: 48px;
}

.project {
    overflow: hidden;
    transition: opacity 0.30s ease, transform 0.30s ease;
}

.project.hidden {
    opacity: 0;
    transform: scale(0.96);
    pointer-events: none;
}

.project:nth-child(2n) {
    margin-top: 56px;
}

@media (max-width: 575.98px) {
    .projects-grid {
        grid-template-columns: 1fr;
    }

    .project:nth-child(2n) {
        margin-top: 0px;
    }
}

.project-link {
    display: flex;
    flex-direction: column;
    gap: 24px;
    height: 100%;
}

.project-thumbnail {
    background-color: #b7b0a6;
    padding-left: 16px;
    padding-right: 16px;
    aspect-ratio: 1 / 1;
    overflow: hidden;
}

.project:nth-child(2n) .project-thumbnail {
    background-color: #B4BFCB;
}

.project-thumbnail img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.project-info {
    display: flex;
    flex-direction: column;
    gap: 12px;
}

.project-top-row {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    row-gap: 4px;
    justify-content: space-between;
    align-items: baseline;
    padding-bottom: 4px;
    border-bottom: 1px solid var(--border-color);
}

.project-top-row h2 {
    font-size: 1.17em;
    margin-block-start: 1em;
    margin-block-end: 1em;
    margin-top: 0px;
    margin-bottom: 0px;
    font-weight: 500;
}